- Main Page
- Data Structures
- Files
- Directories

- Search for |

- File List
- Globals

# libcpp.h File Reference

`#include <ubixos/types.h>`

Include dependency graph for libcpp.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions
void | operator delete (void *ptr)
void | operator delete[] (void *ptr)
void * | operator new (unsigned size)
void * | operator new[] (unsigned size)

## Function Documentation

void operator delete | ( | void * | ptr | ) |

Definition at line 64 of file libcpp.cc.

References kfree().

Here is the call graph for this function:

void operator delete[] | ( | void * | ptr | ) |

Definition at line 51 of file libcpp.cc.

References kfree().

Here is the call graph for this function:

void* operator new | ( | unsigned | size | ) |

Definition at line 58 of file libcpp.cc.

References kmalloc().

Here is the call graph for this function:

void* operator new[] | ( | unsigned | size | ) |

Definition at line 46 of file libcpp.cc.

References kmalloc().

Here is the call graph for this function: